import java.io.*;
import gnu.io.CommPortIdentifier;
import gnu.io.NoSuchPortException;
import gnu.io.PortInUseException;
import gnu.io.SerialPort;
import gnu.io.SerialPortEvent;
import gnu.io.SerialPortEventListener;
import gnu.io.UnsupportedCommOperationException;
import java.util.*;


public class Main {

	public static void main(String[] args) {
		Enumeration portIdentifiers = CommPortIdentifier.getPortIdentifiers();
		String wantedPortName = "/dev/ttyUSB0";
		SerialPort port = null;
		CommPortIdentifier portId = null;
		InputStream is = null;
		OutputStream os = null;
		while (portIdentifiers.hasMoreElements()) {
			CommPortIdentifier pid = (CommPortIdentifier) portIdentifiers
					.nextElement();
			if (pid.getPortType() == CommPortIdentifier.PORT_SERIAL
					&& pid.getName().equals(wantedPortName))
				System.out.println(pid.getName());
			{
				portId = pid;
				break;
			}
		}
		if (portId == null) {
			System.err.println("Could not find serial port " + wantedPortName);
			System.exit(1);
		}
		try {
			port = (SerialPort) portId.open("agent", 10000);
		} catch (PortInUseException e) {
			System.err.println("Port already in use: " + e);
			System.exit(1);
		}
		try {
			port.setSerialPortParams(115200, SerialPort.DATABITS_8,
					SerialPort.STOPBITS_1, SerialPort.PARITY_NONE);
		} catch (UnsupportedCommOperationException e) {
			System.out.println("Unsupported comm port operation");
		}
		try {
			is = port.getInputStream();
		} catch (IOException e) {
			System.err.println("Can't open input stream: write-only");
			is = null;
		}

		try {
			os = port.getOutputStream();
		} catch (IOException e) {
			System.err.println("Can't open output stream");
			os = null;
		}
	//	new AgentSvetlo();
		new AgentRozhodni();
		
		new AgentKoleso(os,is);
		
		Space space = Space.getInstance();
	}

}
